E_REGISTER_FUNC(3)

EXPERIMENTAL_FUNC
e_register_func - Register a function to be called periodically.

SYNOPSIS
#include <karma_e.h>

KPeriodicEventFunc e_register_func

(KPeriodicEventList list, flag (*func) (), void *info, unsigned long interval, unsigned int dispatch_level)

DESCRIPTION
Register a function to be called periodically.

list
    The event list to manage the function.

func
    The function to be called upon the specified timout. The prototype function is <-e_PROTO_event_func->.

info
    An arbitrary pointer passed to <<func>>.

interval
    The interval between successive calls to <<func>>. This is measured in units of the list timeout.

dispatch_level
    The preferred method of dispatch for the function. See <-e_DISPATCH_LEVELS-> for a list of legal values. Not all implementations may support the higher levels, so events may dispatched at a lower level than desired.

RETURN VALUE
A KPeriodicEventFunc on success, else the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/